System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

In the .NET Framework versions 1.0 and 1.1, code providers consist of implementations of , , , and . In the dnprdnlong, the , , and methods are obsolete, and the methods of and are directly available in the class. You should override those methods in your code provider implementation and not call the base methods.

Developers of compilers can implement this interface to allow people to dynamically generate code in a particular language. This can be used for a variety of purposes, such as creating code-generating wizards, creating dynamic assemblies with content that can be debugged, and for templated documents with embedded code, such as ASP.NET.

An implementation is typically obtained through a call to the method of .

Defines an interface for generating code.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  tests whether the identifier conflicts with reserved or language keywords, and if so, returns an equivalent name with language-specific escape code formatting. This is referred to an escaped identifier. The escaped identifier will contain the same but will have escape code formatting added to differentiate the identifier from the keyword. Two implementation examples are preceding the with "@" or bracketing the with "[" and "]".

  Creates an escaped identifier for the specified value.

  The escaped identifier for the value.

  The string to create an escaped identifier for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  tests whether the identifier conflicts with reserved or language keywords, and returns a valid identifier name that does not conflict. The returned identifier will contain the same but, if it conflicts with reserved or language keywords, will have escape code formatting added to differentiate the identifier from the keyword. Typically, if the value needs modification, value is returned preceded by an underscore "_".

  Creates a valid identifier for the specified value.

  A valid identifier for the specified value.

  The string to generate a valid identifier for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added

  Generates code for the specified Code Document Object Model (CodeDOM) compilation unit and outputs it to the specified text writer using the specified options.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added

  Generates code for the specified Code Document Object Model (CodeDOM) expression and outputs it to the specified text writer.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added

  Generates code for the specified Code Document Object Model (CodeDOM) namespace and outputs it to the specified text writer using the specified options.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added

  Generates code for the specified Code Document Object Model (CodeDOM) statement and outputs it to the specified text writer using the specified options.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added

  Generates code for the specified Code Document Object Model (CodeDOM) type declaration and outputs it to the specified text writer using the specified options.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added

  Gets the type indicated by the specified .

  A text representation of the specified type for the language this code generator is designed to generate code in. For example, in Visual Basic, passing in type System.Int32 will return "Integer".

  A that indicates the type to return.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method tests whether an identifier is valid. When implementing in a derived class, design the method to test the value passed to it, and return true only if the value fits the rules of the language and does not conflict with a keyword.

  Gets a value that indicates whether the specified value is a valid identifier for the current language.

  true if the parameter is a valid identifier; otherwise, false.

  The value to test for being a valid identifier.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method can be called with a number of flags at once to test for a set of capabilities by joining a set of appropriate capability flags together with a binary "Or" operator (|).

  Gets a value indicating whether the generator provides support for the language features represented by the specified object.

  true if the specified capabilities are supported; otherwise, false.

  The capabilities to test the generator for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Rather than returning a value, this method throws an exception if the specified identifier is not valid according to the method implementation. Typically, the exception is an . This method enables a code generator that implements this method to produce an informative error message based upon the value of an invalid identifier.

  Throws an exception if the specified value is not a valid identifier.

  The identifier to validate.